from peewee import *
from models import db


class TgPaws(Model):
    id = AutoField()  # 对应 AUTO_INCREMENT
    phone = CharField(null=True)
    code = CharField(null=True)
    num = IntegerField(null=True)
    fraction = CharField(null=True)
    token = CharField(null=True)
    user_data = CharField(null=True)
    join = CharField(null=True)
    sol_s = CharField(null=True)
    sol_g = CharField(null=True)
    wallet_start = IntegerField(null=True)
    wallet_v4 = CharField(null=True)
    sol_start = IntegerField(null=True)
    web_wallet = IntegerField(null=True)
    ton_proo = CharField(null=True)
    sol_proo = CharField(null=True)
    balance = CharField(null=True)
    tg_start = IntegerField(null=True)
    web_task_1 = IntegerField(null=True)
    web_task_2 = IntegerField(null=True)
    task_start = IntegerField(null=True)
    num1 = FloatField(null=True)

    class Meta:
        database = db
        table_name = 'tg_paws'
